Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.ra.exceptions
Class RaException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              be.ehealth.technicalconnector.exception.ConnectorException
                  be.ehealth.technicalconnector.exception.TechnicalConnectorException
                      be.fgov.ehealth.technicalconnector.ra.exceptions.RaException

All Implemented Interfaces:
  Serializable

    public class RaException

extends TechnicalConnectorException

See Also:
  Serialized Form

Constructor Summary
`RaException(String msg, Throwable cause, StatusResponseType statusResponseType)`

Method Summary
`List<String>` | `getErrorCodes()`
`StatusResponseType` | `getStatusResponse()`

Methods inherited from class be.ehealth.technicalconnector.exception.TechnicalConnectorException
`getCategory`

Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RaException

    public RaException(String msg,
                       Throwable cause,
                       StatusResponseType statusResponseType)

Method Detail

### getStatusResponse

    public StatusResponseType getStatusResponse()

### getErrorCodes

    public List<String> getErrorCodes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.